Subject: bug#28695: 26.0.60; Rendering lag spikes caused by double-buffering on Linux

From: Bryan Gilbert <[email-masked]>
Date: Wed, 04 Oct 2017 07:21:55 -0400

> Eli Zaretskii <[email-masked]> writes:
>
> Isn't it strange that only some people see these problems, while
> others (the majority?) are very happy with double-buffering?  Could it
> be that the problems are triggered by some specific system
> configurations or Emacs build-time features?  If so, we could perhaps
> turn it off only for those configurations, because people who are
> happy with this are extremely happy, and will probably be disappointed
> if we just turn it off globally.

I'm currently using a Dell XPS 15 laptop with a 4K display and running
at a resolution of 3840x2160. I've noticed that the problem almost
entirely disappears when I resize the window to a smaller size (roughly
between 1/2 and 1/3 of the screen) instead of being fullscreen. It's
possible that this is only being noticed at higher resolutions.